﻿@page "/pesquisa"
@inject HttpClient Http

<PageTitle>Pesquisa</PageTitle>

<h1>PARTE DO NOME</h1>

<div class="row">
    <input type="text" class="col-6" @bind="@ParteNome" placeholder="Pesquisa por parte do nome"/> 
    <button type="submit" class="col-6 btn btn-primary" @onclick="ClickPesquisar"> Pesquisar</button>
</div>


@if (dados == null)
{
    <p><em>Loading...</em></p>
}
else
{
    <table class="table">
        <thead>
            <tr>
                <th>NOME</th>
                <th>E-MAIL</th>
               
            </tr>
        </thead>
        <tbody>
            @foreach (var dado in dados)
            {
                <tr>
                    <td>@dado.Nome</td>
                    <td>@dado.Email</td>
                </tr>
            }
        </tbody>
    </table>
}

@code {

    public string? ParteNome { get; set; }

    

    private Dados[]? dados;

    protected override async Task OnInitializedAsync()
    {
        dados = await Http.GetFromJsonAsync<Dados[]>("sample-data/dados.json");
    }

    public class Dados
    {
        public string? Nome { get; set; }
        public string? Email { get; set; }
       
    }

        private void ClickPesquisar()
        {
         
        }

}
